Bug 439094 - Change hostname, system admin menu apps won't start. XAUTHORITY needs update.
Change hostname, system admin menu apps won't start. XAUTHORITY needs update.
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-26 18:35 EDT by archimerged Ark submedes
Modified: 2009-07-14 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
python crash dump (1.05 KB, text/plain)
2008-03-26 20:26 EDT, archimerged Ark submedes
no flags Details

  None (edit)
Description archimerged Ark submedes 2008-03-26 18:35:56 EDT
Description of problem:

After using system-config-network (System/Administration/Network menu item) to
change hostname from localhost.localdomain to e.g., beta.localnet
the $XAUTHORITY file needs changes before any system admin applications
(which require the root password) will work.  

If you fix the hostname in the $XAUTHORITY file, using xauth piped to sed piped
to xauth, then things start working again.  Not a nice solution.

Version-Release number of selected component (if applicable):
Fedora-9-Beta (rawhide 8.92)
Linux beta.localnet 2.6.25-0.121.rc5.git4.fc9 #1 SMP Fri Mar 14 23:14:20 EDT
2008 i686 i686 i386 GNU/Linux

How reproducible: every time

Steps to Reproduce:
1. System/Administration/Network DNS tab
2. change hostname and save
3. quit and try to start it back up
Actual results:
Doesn't start, leaving a cryptic message in .xsession-errors.

Expected results:
XAUTHORITY file should be adjusted when hostname changes.
Or using DISPLAY=:0.0 shouldn't add the hostname before
looking up the xauth secret.

Additional info:

Presumably this would also happen if DHCP changes the hostname.

This bug should probably be forwarded to gdm, X11, etc.
Comment 1 archimerged Ark submedes 2008-03-26 20:26:36 EDT
Created attachment 299250 [details]
python crash dump

Also got this crash after changing hostname.  Did File/save, the exit (or maybe
close the window), got "an error occurred, are you sure you want to exit" or
something like that.  Couldn't find anything about the error.  Did exit or
maybe close window, got this dump.
Comment 2 archimerged Ark submedes 2008-03-26 20:47:36 EDT
Also got previously attached crash dump.  Clicking on "Debug" made the bug
window go away and I had forgotten about it by the time I made the report.  On
another install, the same thing happened.  

Firstboot doesn't give an opportunity to specify NTP or hostname, as I think it
does in Fedora-8.  

I asked for automatic assignment during install dialog, but got
localhost.localdomain upon reboot after install, so I tried to fix it with

This fixed the problem on the second install:

xauth add $(xauth list | sed s/localhost.localdomain/delta.localnet/)

Proving the problem is in $XAUTHORITY.

Comment 4 archimerged Ark submedes 2008-04-10 14:55:44 EDT
does not crash, but $XAUTHORITY is still wrong.

There is a suggestion about restarting network or
rebooting.  I suggest adding a note that it will
be necessary to log out&in in order to run any
system administration tools, if the hostname
has changed.
Comment 5 Bug Zapper 2008-05-14 02:54:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Bug Zapper 2009-06-09 19:52:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-07-14 11:22:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.